Subject: Re: bug#59458: [PATCH] Fix tracing for advanced scoring

From: Eric Abrahamsen <[email-masked]>
Date: Thu, 24 Nov 2022 11:39:40 -0800

Eli Zaretskii <[email-masked]> writes:

>> Cc: Łukasz Stelmach <[email-masked]>
>> From: Łukasz Stelmach <[email-masked]>
>> Date: Mon, 21 Nov 2022 22:30:55 +0100
>> 
>> * lisp/gnus/gnus-logic.el (gnus-score-advanced): Move the tracing
>> code outside of if so it's executed for both branches.

I'm not very familiar with this code (this is actually the first I'm
hearing of gnus-logic.el), so I hope Lars will chime in. It makes sense
that tracing should happen whether or not the rule matched? But what
about the sexp before that? Would we be pushing the mail-header-number
and new score to `gnus-newsgroup-score' only if the rule *wasn't*
successful?

I think this one should wait for Lars. If we don't hear from him and
it's holding things up, I can look more closely.